## org.eclipse.amp.agf3d
Class ScapeEditRoot3DPart.RenderUpdateListener

    java.lang.Object
      org.eclipse.amp.axf.core.AbstractLifecycleListener
          org.eclipse.amp.axf.view.SWTThreadModelListener
              org.eclipse.amp.axf.view.SWTAsyncModelListener
                  org.eclipse.amp.agf3d.ScapeEditRoot3DPart.RenderUpdateListener

All Implemented Interfaces:
  ILifeCycleListener, IStateListener

Enclosing class:
  ScapeEditRoot3DPart

    private final class ScapeEditRoot3DPart.RenderUpdateListener

extends SWTAsyncModelListener

Field Summary
`private boolean` `firstTime`

Fields inherited from class org.eclipse.amp.axf.view.SWTAsyncModelListener
`updating`

Fields inherited from class org.eclipse.amp.axf.view.SWTThreadModelListener
`widget`

Constructor Summary
`private` `ScapeEditRoot3DPart.RenderUpdateListener(java.lang.String name)`

Method Summary
`void` `update(IModel model)` Update.

Methods inherited from class org.eclipse.amp.axf.view.SWTAsyncModelListener
`beginPainting, endPainting, forceModelNotify, isWaitForUpdate, setWaitForUpdate, stateChange`

Methods inherited from class org.eclipse.amp.axf.view.SWTThreadModelListener
`setWidget`

Methods inherited from class org.eclipse.amp.axf.core.AbstractLifecycleListener
`getListener, getName, observationEnd, observationEnding, observeCreate, observeInitialize, observeStart, observeStop, observeUpdate, observing, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### firstTime

    private boolean firstTime

Constructor Detail

### ScapeEditRoot3DPart.RenderUpdateListener

    private ScapeEditRoot3DPart.RenderUpdateListener(java.lang.String name)

Method Detail

### update

    public void update(IModel model)

  Description copied from class: `SWTThreadModelListener`
  Update.

  Specified by:
    `update` in class `SWTThreadModelListener`
  Parameters:
    `model` - the model

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors